Package org.gradle.api.reporting

# Interface CustomizableHtmlReport

All Superinterfaces:
  `Configurable<Report>`, `ConfigurableReport`, `Report`, `SingleFileReport`

public interface CustomizableHtmlReport extends SingleFileReport
A HTML Report whose generation can be customized with a XSLT stylesheet.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

  `Report.OutputType`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.reporting.Report

  `NAMER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable TextResource`
  `getStylesheet()`
  The stylesheet to use to generate the HTML report.
  `void`
  `setStylesheet(@Nullable TextResource stylesheet)`
  The stylesheet to use to generate the report.

  ### Methods inherited from interface org.gradle.util.Configurable

  `configure`

  ### Methods inherited from interface org.gradle.api.reporting.Report

  `getDisplayName, getName, getRequired`

  ### Methods inherited from interface org.gradle.api.reporting.SingleFileReport

  `getOutputLocation, getOutputType`

- ## Method Details

  - ### getStylesheet

    @Optional @Nullable TextResource getStylesheet()
    The stylesheet to use to generate the HTML report.
    Returns:
      the stylesheet to use to generate the HTML report

  - ### setStylesheet

    void setStylesheet(@Nullable TextResource stylesheet)
    The stylesheet to use to generate the report.
    Parameters:
      `stylesheet` - the stylesheet to use to generate the HTML report